# GmpBigIntegerFactory Class Reference
[Mathematical utilities]

Inheritance diagram for GmpBigIntegerFactory:
[legend]

List of all members.

## Public Member Functions

| makeNumber ($number, $base=10)
| makeFromBinary ($binary)
| makeRandom ($stop, RandomSource $source)

## Static Public Member Functions

static | me ()

## Detailed Description

Definition at line 15 of file GmpBigIntegerFactory.class.php.

## Member Function Documentation

GmpBigIntegerFactory::makeFromBinary | ( | $ | binary | ) |

Returns:
  GmpBigInteger

Reimplemented from BigNumberFactory.

Definition at line 36 of file GmpBigIntegerFactory.class.php.

Referenced by makeRandom().

GmpBigIntegerFactory::makeNumber | ( | $ | number,
|  | $ | base = `10` |
| ) |  |  |

Returns:
  GmpBigInteger

Reimplemented from BigNumberFactory.

Definition at line 28 of file GmpBigIntegerFactory.class.php.

References GmpBigInteger::make().

Referenced by makeRandom().

Here is the call graph for this function:

GmpBigIntegerFactory::makeRandom | ( | $ | stop,
|  | RandomSource $ | source |
| ) |  |  |

Returns:
  GmpBigInteger

Reimplemented from BigNumberFactory.

Definition at line 44 of file GmpBigIntegerFactory.class.php.

References RandomSource::getBytes(), Assert::isTrue(), makeFromBinary(), and makeNumber().

Here is the call graph for this function:

static GmpBigIntegerFactory::me | ( |  | ) | `[static]`

Returns:
  GmpBigIntegerFactory

Definition at line 20 of file GmpBigIntegerFactory.class.php.

References Singleton::getInstance().

Referenced by GmpBigInteger::getFactory().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Math/GmpBigIntegerFactory.class.php